#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QAction>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void quitApp();
    void on_xRotSlider_valueChanged(int value);
    void on_yRotSlider_valueChanged(int value);
    void on_zRotSlider_valueChanged(int value);
    void on_xRotSpin_valueChanged(int value);
    void on_yRotSpin_valueChanged(int value);
    void on_zRotSpin_valueChanged(int value);
    void on_redSlider_valueChanged(int value);
    void on_greenSlider_valueChanged(int value);
    void on_blueSlider_valueChanged(int value);
    void on_redSpin_valueChanged(int value);
    void on_greenSpin_valueChanged(int value);
    void on_blueSpin_valueChanged(int value);

private:
    Ui::MainWindow *ui;
    float red, blue, green;
    void closeEvent(QCloseEvent*);
};

#endif // MAINWINDOW_H
